const analyse = document.getElementById('analyse');
const openDialer = document.getElementById('openDialer');
let to = null;
analyse.addEventListener('click', () => {
    chrome.tabs.query({ active: true, currentWindow: true }, (tabs) => {
        if (tabs.length === 0) {
            console.error("No active tab found.");
            return;
        }
        chrome.tabs.sendMessage(tabs[0].id, { action: 'air_call_analyse' });
        analyse.innerText='Chargement...';
        analyse.disabled=true;
        to = setTimeout(() => {
            analyse.innerText='Analyser la page';
            analyse.disabled=false;
        }, 15000);
    });
});
openDialer.addEventListener('click', () => {
    chrome.runtime.sendMessage({ action: "openDialer" });
});

chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
    if (message.action === 'air_call_list_number') {
        analyse.innerText='Analyser la page';
        analyse.disabled=false;
        clearTimeout(to);
    }
});
